<template>
  <layout-form>
   <ul class="infinite-list" style="overflow:auto">
    <li v-for="item in dataList" >
      
      <el-link :underline="false" type="primary" @click="toApply(item)"> {{ item.name }}</el-link>
      
     </li>
  </ul>
  </layout-form>
</template>

<script>
export default {
  toString: [],
  created() {
   const { platformSn } = this.$route.query;
    console.log("platform:"+platformSn)
    console.log(this.$route.query)
    this.loading = true;
      this.$post("/doc/baseinfo/list", {
        "query.platformSn": platformSn,
      })
        .then((res) => {

          this.dataList=res.data.result;
          console.log("res:",res)

        })
        .catch((error) => {
          console.log("error", error);
          this.$message.error(error.message);
        });

  },
  methods: {
     /** 申报 */
    toApply(row) {
      this.$router.push({
        path: "/doc/baseinfo/index",
        query: {
          docId: row.id,
          templateId: row.docTemplateEntity.id,
        },
      });
    },
    load () {
        this.count += 2
      }
  },
  data() {
    return {
      dataList:[],
      count: 5
    };
  },
};
</script>